## bonobo-wrapper

bonobo-wrapper

## Synopsis

                        BonoboWrapperPrivate;
                        BonoboWrapper;
                        BonoboWrapperClass;
    GtkWidget *         bonobo_wrapper_new                  (void);
    void                bonobo_wrapper_set_covered          (BonoboWrapper *wrapper,
                                                             gboolean covered);
    gboolean            bonobo_wrapper_is_covered           (BonoboWrapper *wrapper);
    gboolean            bonobo_wrapper_get_visibility       (BonoboWrapper *wrapper);
    void                bonobo_wrapper_set_visibility       (BonoboWrapper *wrapper,
                                                             gboolean visible);

## Description

## Details

### BonoboWrapperPrivate

    typedef struct _BonoboWrapperPrivate BonoboWrapperPrivate;

### BonoboWrapper

    typedef struct {
    	GtkBin bin;

    	/* Private data. */
    	BonoboWrapperPrivate *priv;
    } BonoboWrapper;

### BonoboWrapperClass

    typedef struct {
    	GtkBinClass parent_class;
    } BonoboWrapperClass;

### bonobo_wrapper_new ()

    GtkWidget *         bonobo_wrapper_new                  (void);

Returns : |

### bonobo_wrapper_set_covered ()

    void                bonobo_wrapper_set_covered          (BonoboWrapper *wrapper,
                                                             gboolean covered);

`wrapper` : |
`covered` : |

### bonobo_wrapper_is_covered ()

    gboolean            bonobo_wrapper_is_covered           (BonoboWrapper *wrapper);

`wrapper` : |
Returns : |

### bonobo_wrapper_get_visibility ()

    gboolean            bonobo_wrapper_get_visibility       (BonoboWrapper *wrapper);

`wrapper` : |
Returns : |

### bonobo_wrapper_set_visibility ()

    void                bonobo_wrapper_set_visibility       (BonoboWrapper *wrapper,
                                                             gboolean visible);

`wrapper` : |
`visible` : |